## liblas 1.7.0+dfsg

=== CMakeLists.txt ===
###############################################################################
# Main CMake configuration file for libLAS
#
# Author: Mateusz Loskot <mateusz@loskot.net>
#
#
###############################################################################
# libLAS general settings
project(libLAS)


SET(LIBLAS_VERSION_MAJOR "1")
SET(LIBLAS_VERSION_MINOR "7")
SET(LIBLAS_VERSION_PATCH "0")
set(VERSION "${LIBLAS_VERSION_MAJOR}.${LIBLAS_VERSION_MINOR}.${LIBLAS_VERSION_PATCH}")
SET(LIBLAS_LIB_SOVERSION "2.2.0")
SET(LIBLAS_C_LIB_SOVERSION "2.2.0")
SET(OSGEO4W_UPSTREAM_RELEASE "1")

if(WIN32)
  # Name of C++ library
  set(LIBLAS_LIB_NAME liblas)

  # Name of C library
  set(LIBLAS_C_LIB_NAME liblas_c)
  
  # Name of Chipper library
  set(LASCHIP_LIB_NAME liblas_chipper )  
  
  # Name of Kernel libray
  set(LASKERNEL_LIB_NAME liblas_kernel )
  
else()
  # Name of C++ library
  set(LIBLAS_LIB_NAME las)
  
  # Name of C library
  set(LIBLAS_C_LIB_NAME las_c)

  # Name of Chipper library
  set(LASCHIP_LIB_NAME las_chipper )  

  # Name of Kernel libray
  set(LASKERNEL_LIB_NAME las_kernel )
endif()

# Name of test suite runner
set(LIBLAS_UNIT_TEST liblas_test)

set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

# Choose package components
set(WITH_UTILITIES TRUE CACHE BOOL "Choose if libLAS utilities should be built")
set(WITH_TESTS TRUE CACHE BOOL "Choose if libLAS unit tests should be built")

# Choose to use pkg-config or not
set(WITH_PKGCONFIG FALSE CACHE BOOL
  "Choose whether a pkgconfig file (libLAS.pc) should be installed")

set(WITH_ENDIANAWARE FALSE CACHE BOOL "Choose whether or not libLAS should do runtime endianness switching.  Note that this can slow things down considerably if enabled by default")

# Enable CTest and submissions to libLAS dashboard at CDash
# http://my.cdash.org/index.php?project=libLAS
set(ENABLE_CTEST FALSE CACHE BOOL
  "Enable CTest to support submissions of results to CDash at http://cdash.org")

###############################################################################
# CMake settings
cmake_minimum_required(VERSION 2.6.0)

set(CMAKE_COLOR_MAKEFILE ON)

# Allow advanced users to generate Makefiles printing detailed commands
mark_as_advanced(CMAKE_VERBOSE_MAKEFILE)

# Path to additional CMake modules
set(CMAKE_MODULE_PATH ${libLAS_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

###############################################################################
# General build settings

# Default to debug mode until final 1.6.0 release 
if(NOT MSVC_IDE)
  if(NOT CMAKE_BUILD_TYPE)

  set(CMAKE_BUILD_TYPE Release CACHE STRING 
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel" FORCE)
  endif()
    message(STATUS "Setting libLAS build type - ${CMAKE_BUILD_TYPE}")
endif()

# TODO: Still testing the output paths --mloskot
set(LIBLAS_BUILD_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin/${CMAKE_BUILD_TYPE})

# Output directory in which to build RUNTIME target files.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${LIBLAS_BUILD_OUTPUT_DIRECTORY})

# Output directory in which to build LIBRARY target files
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${LIBLAS_BUILD_OUTPUT_DIRECTORY})

# Output directory in which to build ARCHIVE target files.
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${LIBLAS_BUILD_OUTPUT_DIRECTORY}) 

file(READ "doc/index.txt" README )
file(WRITE "README.txt" "${README}")

###############################################################################
# Platform and compiler specific settings

if(WIN32)
  if (MSVC)
    if (MSVC80 OR MSVC90 OR MSVC10)
      add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
      add_definitions(-D_CRT_NONSTDC_NO_WARNING)
      add_definitions(-D_SCL_SECURE_NO_WARNINGS)
    endif()
    
    if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
      string(REGEX REPLACE "/W[0-4]" "/W4"
        CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
    endif()

    # Generate dot-user file with user-specific settings for
    # Visual Studio project
    set(MSVC_ENVIRONMENT_PATH "" CACHE STRING
      "Custom PATH for Environment property in Visual Studio for project")
    mark_as_advanced(MSVC_ENVIRONMENT_PATH)
    set(VCPROJ_USER_ENVIRONMENT_PATH_DEBUG "${ENVIRONMENT_PATH}")
    mark_as_advanced(VCPROJ_USER_ENVIRONMENT_PATH_DEBUG)

  endif()
  
  set(CMAKE_INCLUDE_PATH c:/osgeo4w/include;$ENV{CMAKE_INCLUDE_PATH})
  set(CMAKE_LIBRARY_PATH c:/osgeo4w/lib;$ENV{CMAKE_LIBRARY_PATH})
else()

  # Recommended C++ compilation flags
  # -Weffc++
  set(LIBLAS_COMMON_CXX_FLAGS
	"-pedantic -ansi -Wall -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long")

  if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LIBLAS_COMMON_CXX_FLAGS}")
    if (CMAKE_COMPILER_IS_GNUCXX)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
    endif()

  elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER}" MATCHES "clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LIBLAS_COMMON_CXX_FLAGS}")
  endif()
endif(WIN32)

if (APPLE)
  set(SO_EXT dylib)
  set(CMAKE_FIND_FRAMEWORK "LAST")
elseif(WIN32)
  set(SO_EXT dll)
else()
  set(SO_EXT so)
endif(APPLE)

###############################################################################
# Search for dependencies

# Boost C++ Libraries support - required
message(STATUS "Searching for Boost 1.38+ - done")

# Default to using static, multithreaded libraries for 
# linking under MSVC.  This is because we show users how to 
# use boostpro.com installer and install those options when linking 
# on windows in the compilation documentation.
if(WIN32)
  if (MSVC)
    set(Boost_USE_STATIC_LIBS   ON)
    set(Boost_USE_MULTITHREADED ON)
  endif(MSVC)
endif(WIN32)

# NOTE: Add iostreams to COMPONENTS list to enable bigfile_boost_iostreams_test
find_package(Boost 1.38 COMPONENTS program_options thread REQUIRED)

if(Boost_FOUND AND Boost_PROGRAM_OPTIONS_FOUND)
  include_directories(${Boost_INCLUDE_DIRS})
endif()

# make these available for the user to set.
mark_as_advanced(CLEAR Boost_INCLUDE_DIR) 
mark_as_advanced(CLEAR Boost_LIBRARY_DIRS) 
link_directories(${Boost_LIBRARY_DIRS}) 

# LASZIP support - optional, default=ON
set(WITH_LASZIP FALSE CACHE BOOL "Choose if LASzip support should be built")
set(WITH_STATIC_LASZIP FALSE CACHE BOOL "Choose of LASzip should be statically linked")
mark_as_advanced(WITH_STATIC_LASZIP)

if (WITH_LASZIP)
    find_package(LASzip 2.0.1)

    if(LASZIP_FOUND)    
        set(CMAKE_REQUIRED_LIBRARIES ${LASZIP_LIBRARY})
        include_directories(${LASZIP_INCLUDE_DIR})
        add_definitions(-DHAVE_LASZIP=1)
        mark_as_advanced(CLEAR LASZIP_INCLUDE_DIR) 
        mark_as_advanced(CLEAR LASZIP_LIBRARY) 
        mark_as_advanced(CLEAR LASZIP_VERSION) 
    endif()
endif()

# GDAL/OGR support - optional, default=OFF
set(WITH_GDAL FALSE CACHE BOOL "Choose if GDAL support should be built")

if(WITH_GDAL)

  find_package(GDAL 1.7.0)
  include_directories(${GDAL_INCLUDE_DIR})
  add_definitions(-DHAVE_GDAL=1)

  mark_as_advanced(CLEAR GDAL_INCLUDE_DIR) 
  mark_as_advanced(CLEAR GDAL_LIBRARY) 

endif()

# GeoTIFF support - optional, default=OFF
set(WITH_GEOTIFF FALSE CACHE BOOL "Choose if GeoTIFF support should be built")

if(WITH_GEOTIFF)
  find_package(GeoTIFF 1.2.5)

  if(GEOTIFF_FOUND)
    
    # Confirm required API is available
    include(CheckFunctionExists) 
    set(CMAKE_REQUIRED_LIBRARIES ${GEOTIFF_LIBRARY})
    #       check_function_exists(ST_Create HAVE_ST_CREATE)
    
    #        if(NOT HAVE_ST_CREATE)
    #            set(GEOTIFF_FOUND) # Reset to NOT found for GeoTIFF
    #            message(FATAL_ERROR "GeoTIFF support requires libgeotiff 1.2.5 or newer.")
    #        else()
    include_directories(${GEOTIFF_INCLUDE_DIR})
    add_definitions(-DHAVE_LIBGEOTIFF=1)
    #        endif()
  endif()

  # Determine libTIFF availability, required
  if (GEOTIFF_FOUND)

    mark_as_advanced(CLEAR TIFF_INCLUDE_DIR) 
    mark_as_advanced(CLEAR TIFF_LIBRARY) 
    if (WIN32)
        set(TIFF_NAMES libtiff_i)
    endif(WIN32)
    find_package(TIFF) 
    if (TIFF_FOUND)
      include_directories(${TIFF_INCLUDE_DIR})
    endif()
  endif()
endif()

if(WITH_GDAL)
  if (NOT GEOTIFF_FOUND)
    message(FATAL_ERROR
      "GDAL support requires GeoTIFF library which was not selected")
  endif()
endif()


if(WITH_ENDIANAWARE)
    add_definitions(-DLIBLAS_ENDIAN_AWARE=1)
endif()
###############################################################################
# Installation settings

if(WIN32)
  set(DEFAULT_LIB_SUBDIR lib)
  set(DEFAULT_DATA_SUBDIR .)
  set(DEFAULT_INCLUDE_SUBDIR include)

  if (MSVC)
    set(DEFAULT_BIN_SUBDIR bin)
  else()
    set(DEFAULT_BIN_SUBDIR .)
  endif()
else()
  # Common locatoins for Unix and Mac OS X
  set(DEFAULT_BIN_SUBDIR bin)
  set(DEFAULT_LIB_SUBDIR lib)
  set(DEFAULT_DATA_SUBDIR share/liblas)
  set(DEFAULT_INCLUDE_SUBDIR include)
endif()

# Locations are changeable by user to customize layout of libLAS installation
# (default values are platform-specific)
set(LIBLAS_BIN_SUBDIR ${DEFAULT_BIN_SUBDIR} CACHE STRING
  "Subdirectory where executables will be installed")
set(LIBLAS_LIB_SUBDIR ${DEFAULT_LIB_SUBDIR} CACHE STRING
  "Subdirectory where libraries will be installed")
set(LIBLAS_INCLUDE_SUBDIR ${DEFAULT_INCLUDE_SUBDIR} CACHE STRING
  "Subdirectory where header files will be installed")
set(LIBLAS_DATA_SUBDIR ${DEFAULT_DATA_SUBDIR} CACHE STRING
  "Subdirectory where data will be installed")

# Mark *_SUBDIR variables as advanced and dedicated to use by power-users only.
mark_as_advanced(LIBLAS_BIN_SUBDIR
  LIBLAS_LIB_SUBDIR LIBLAS_INCLUDE_SUBDIR LIBLAS_DATA_SUBDIR)

# Full paths for the installation
set(LIBLAS_BIN_DIR ${LIBLAS_BIN_SUBDIR})
set(LIBLAS_LIB_DIR ${LIBLAS_LIB_SUBDIR})
set(LIBLAS_INCLUDE_DIR ${LIBLAS_INCLUDE_SUBDIR})
set(LIBLAS_DATA_DIR ${LIBLAS_DATA_SUBDIR})

###############################################################################
# Installation commands

install(FILES AUTHORS COPYING INSTALL LICENSE.txt README.txt
  DESTINATION ${LIBLAS_DATA_DIR}/doc)

###############################################################################
# Processing of project directories

add_subdirectory(src)

if(WITH_UTILITIES)
  message(STATUS "Enable libLAS utilities to build - done")
  add_subdirectory(apps)
endif()

if(WITH_TESTS)
  message(STATUS "Enable libLAS unit tests to build - done")
  enable_testing()


  if(ENABLE_CTEST)
    message(STATUS
      "Enable CTest to support submissions of results to CDash at http://cdash.org")
    cmake_minimum_required(VERSION 2.8.0)
    # Dashboard has been prepared for experiments
    # http://my.cdash.org/index.php?project=libLAS
    include(CTest)
    message(STATUS
      "Enable CTest to support submissions of results to CDash at http://cdash.org - done")
  endif()

  add_subdirectory(test)
else()
  if(ENABLE_CTEST)
    message(WARNING
      "CTest support requested but WITH_TESTS option not specified to build of libLAS unit tests")
  endif()
endif()



# Version information
SET(CPACK_PACKAGE_VERSION_MAJOR ${LIBLAS_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${LIBLAS_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${LIBLAS_VERSION_MINOR})

SET(CPACK_SOURCE_GENERATOR "TGZ;ZIP;TBZ2")
SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")



set(CPACK_SOURCE_PACKAGE_FILE_NAME
  "${CMAKE_PROJECT_NAME}-${VERSION}")
  
list(APPEND CPACK_SOURCE_IGNORE_FILES "/test/data/TO_core_last_zoom.las")
list(APPEND CPACK_SOURCE_IGNORE_FILES "_CPack_Packages")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".gz")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".bz2")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".hg")
list(APPEND CPACK_SOURCE_IGNORE_FILES "README")
list(APPEND CPACK_SOURCE_IGNORE_FILES "HOWTORELEASE.txt")
list(APPEND CPACK_SOURCE_IGNORE_FILES "/doc/_static/files")

list(APPEND CPACK_SOURCE_IGNORE_FILES "CMakeCache.txt")

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/cmake"

# The command to remove a file.
RM = "/Applications/CMake 2.8-6.app/Contents/bin/cmake" -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/ccmake"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hobu/foo/clean

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hobu/foo/clean

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ccmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackSourceConfig.cmake /Users/hobu/foo/clean/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ctest" --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles /Users/hobu/foo/clean/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named dist

# Build rule for target.
dist: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 dist
.PHONY : dist

# fast build rule for target.
dist/fast:
	$(MAKE) -f CMakeFiles/dist.dir/build.make CMakeFiles/dist.dir/build
.PHONY : dist/fast

#=============================================================================
# Target rules for targets named las

# Build rule for target.
las: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las
.PHONY : las

# fast build rule for target.
las/fast:
	$(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/build
.PHONY : las/fast

#=============================================================================
# Target rules for targets named las_c

# Build rule for target.
las_c: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las_c
.PHONY : las_c

# fast build rule for target.
las_c/fast:
	$(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/build
.PHONY : las_c/fast

#=============================================================================
# Target rules for targets named bigfile_test

# Build rule for target.
bigfile_test: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bigfile_test
.PHONY : bigfile_test

# fast build rule for target.
bigfile_test/fast:
	$(MAKE) -f apps/CMakeFiles/bigfile_test.dir/build.make apps/CMakeFiles/bigfile_test.dir/build
.PHONY : bigfile_test/fast

#=============================================================================
# Target rules for targets named las2las

# Build rule for target.
las2las: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las2las
.PHONY : las2las

# fast build rule for target.
las2las/fast:
	$(MAKE) -f apps/CMakeFiles/las2las.dir/build.make apps/CMakeFiles/las2las.dir/build
.PHONY : las2las/fast

#=============================================================================
# Target rules for targets named las2las-old

# Build rule for target.
las2las-old: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las2las-old
.PHONY : las2las-old

# fast build rule for target.
las2las-old/fast:
	$(MAKE) -f apps/CMakeFiles/las2las-old.dir/build.make apps/CMakeFiles/las2las-old.dir/build
.PHONY : las2las-old/fast

#=============================================================================
# Target rules for targets named las2txt

# Build rule for target.
las2txt: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las2txt
.PHONY : las2txt

# fast build rule for target.
las2txt/fast:
	$(MAKE) -f apps/CMakeFiles/las2txt.dir/build.make apps/CMakeFiles/las2txt.dir/build
.PHONY : las2txt/fast

#=============================================================================
# Target rules for targets named las2txt-old

# Build rule for target.
las2txt-old: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las2txt-old
.PHONY : las2txt-old

# fast build rule for target.
las2txt-old/fast:
	$(MAKE) -f apps/CMakeFiles/las2txt-old.dir/build.make apps/CMakeFiles/las2txt-old.dir/build
.PHONY : las2txt-old/fast

#=============================================================================
# Target rules for targets named lasblock

# Build rule for target.
lasblock: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasblock
.PHONY : lasblock

# fast build rule for target.
lasblock/fast:
	$(MAKE) -f apps/CMakeFiles/lasblock.dir/build.make apps/CMakeFiles/lasblock.dir/build
.PHONY : lasblock/fast

#=============================================================================
# Target rules for targets named lasindex_test

# Build rule for target.
lasindex_test: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasindex_test
.PHONY : lasindex_test

# fast build rule for target.
lasindex_test/fast:
	$(MAKE) -f apps/CMakeFiles/lasindex_test.dir/build.make apps/CMakeFiles/lasindex_test.dir/build
.PHONY : lasindex_test/fast

#=============================================================================
# Target rules for targets named lasinfo

# Build rule for target.
lasinfo: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasinfo
.PHONY : lasinfo

# fast build rule for target.
lasinfo/fast:
	$(MAKE) -f apps/CMakeFiles/lasinfo.dir/build.make apps/CMakeFiles/lasinfo.dir/build
.PHONY : lasinfo/fast

#=============================================================================
# Target rules for targets named lasinfo-old

# Build rule for target.
lasinfo-old: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasinfo-old
.PHONY : lasinfo-old

# fast build rule for target.
lasinfo-old/fast:
	$(MAKE) -f apps/CMakeFiles/lasinfo-old.dir/build.make apps/CMakeFiles/lasinfo-old.dir/build
.PHONY : lasinfo-old/fast

#=============================================================================
# Target rules for targets named lasmerge

# Build rule for target.
lasmerge: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasmerge
.PHONY : lasmerge

# fast build rule for target.
lasmerge/fast:
	$(MAKE) -f apps/CMakeFiles/lasmerge.dir/build.make apps/CMakeFiles/lasmerge.dir/build
.PHONY : lasmerge/fast

#=============================================================================
# Target rules for targets named ts2las

# Build rule for target.
ts2las: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ts2las
.PHONY : ts2las

# fast build rule for target.
ts2las/fast:
	$(MAKE) -f apps/CMakeFiles/ts2las.dir/build.make apps/CMakeFiles/ts2las.dir/build
.PHONY : ts2las/fast

#=============================================================================
# Target rules for targets named txt2las

# Build rule for target.
txt2las: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 txt2las
.PHONY : txt2las

# fast build rule for target.
txt2las/fast:
	$(MAKE) -f apps/CMakeFiles/txt2las.dir/build.make apps/CMakeFiles/txt2las.dir/build
.PHONY : txt2las/fast

#=============================================================================
# Target rules for targets named liblas_test

# Build rule for target.
liblas_test: cmake_check_build_system

=== apps/CMakeLists.txt ===
###############################################################################
#
# apps/CMakeLists.txt controls building of libLAS utilities 
#
# Copyright (c) 2009 Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################

include_directories(
    .
    ../include
    ../include/liblas/capi)

###############################################################################
# Collect programs to build

set(LASINFO_OLD lasinfo-old)
set(LASINFO lasinfo)
set(LASMERGE lasmerge)
set(LAS2LAS las2las)
set(LAS2LAS_OLD las2las-old)
set(LAS2TXT_OLD las2txt-old)
set(LAS2TXT las2txt)
set(TXT2LAS txt2las)
set(TS2LAS ts2las)
set(LASBLOCK lasblock )

set(BIGFILE_TEST bigfile_test)
set(LASINDEX_TEST lasindex_test)

if(Boost_IOSTREAMS_FOUND)
  set(BIGFILE_BIO_TEST bigfile_boost_iostreams_test)
endif()

# Set the build type to release if it is not explicitly set by the user and 
# isn't in the cache yet
if (NOT CMAKE_BUILD_TYPE )
  set(CMAKE_BUILD_TYPE "Release")
endif()

# Utilities depending on 3rd-pary libraries
if(GDAL_FOUND)
    set(LAS2OGR las2ogr)
endif()


set(LIBLAS_UTILITIES
    ${LASINFO_OLD} ${LASINFO} ${LASMERGE} ${LAS2LAS} ${LAS2TXT_OLD} ${TXT2LAS} 
    ${LAS2OGR} ${LAS2LAS} ${LAS2LAS_OLD} ${LASBLOCK} ${TS2LAS}  ${LAS2TXT} )

# TODO: Experimental and requires testing --mloskot
# Generate user-specific settings for Visual Studio project
set(VCPROJ_USER_REMOTE_MACHINE_DEBUG ${MACHINE_NAME})
set(VCPROJ_USER_ENVIRONMENT_DEBUG "${ENVIRONMENT_PATH}")

if(MSVC)
    foreach(utility ${LIBLAS_UTILITIES})
        set(USER_FILE ${utility}.vcproj.$ENV{USERDOMAIN}.$ENV{USERNAME}.user)
        set(OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/${USER_FILE})
        message(STATUS "Generating ${CMAKE_GENERATOR} user-specific settings in ${USER_FILE}")
        configure_file(${CMAKE_SOURCE_DIR}/cmake/libLAS.vcproj.user.template ${OUTPUT_PATH} @ONLY)
    endforeach()
endif()

###############################################################################
# Configure build targets

if(WIN32)
    add_definitions("-DLAS_DLL_EXPORT=1")
endif()


set(APPS_CPP_DEPENDENCIES
    ${LIBLAS_LIB_NAME}
    ${TIFF_LIBRARY}
    ${GEOTIFF_LIBRARY}
    ${GDAL_LIBRARY}
    ${SPATIALINDEX_LIBRARY}
	${LASZIP_LIBRARY}
    ${Boost_LIBRARIES})

link_directories(${Boost_LIBRARY_DIRS})

#    add_executable(lasschematest lasschematest.cpp laskernel.cpp)
#    target_link_libraries(lasschematest ${APPS_CPP_DEPENDENCIES} ${LIBXML2_LIBRARIES})

# Build lasinfo
if(LASINFO_OLD)
    set(LASINFO_OLD_SRC lascommon.c ${LASINFO_OLD}.c)
    add_executable(${LASINFO_OLD} ${LASINFO_OLD_SRC})
    target_link_libraries(${LASINFO_OLD} ${LIBLAS_C_LIB_NAME})
endif()

# Build las2las
if(LAS2LAS_OLD)
    set(LAS2LAS_OLD_SRC lascommon.c ${LAS2LAS_OLD}.c)
    add_executable(${LAS2LAS_OLD} ${LAS2LAS_OLD_SRC})
    target_link_libraries(${LAS2LAS_OLD} ${LIBLAS_C_LIB_NAME})
endif()


if(LAS2LAS)
    add_executable(${LAS2LAS} las2las.cpp laskernel.cpp)
    target_link_libraries(${LAS2LAS} ${APPS_CPP_DEPENDENCIES} )
endif()

if(LASINFO)
    add_executable(${LASINFO} lasinfo.cpp laskernel.cpp )
    target_link_libraries(${LASINFO} ${APPS_CPP_DEPENDENCIES}  )
endif()

# Build las2txt
if(LAS2TXT_OLD)
    set(LAS2TXT_OLD_SRC lascommon.c ${LAS2TXT}.c)
    add_executable(${LAS2TXT_OLD} ${LAS2TXT_OLD_SRC})
    target_link_libraries(${LAS2TXT_OLD} ${LIBLAS_C_LIB_NAME})
endif()

if(LAS2TXT)
    add_executable( ${LAS2TXT}  las2txt.cpp laskernel.cpp )
    target_link_libraries(${LAS2TXT} ${APPS_CPP_DEPENDENCIES}  )
endif()
 
# Build txt2las
if(TXT2LAS)
    set(TXT2LAS_SRC lascommon.c ${TXT2LAS}.c)
    add_executable(${TXT2LAS} ${TXT2LAS_SRC})
    target_link_libraries(${TXT2LAS} ${LIBLAS_C_LIB_NAME})
endif()

if(TS2LAS)
    add_executable(${TS2LAS} ts2las.cpp laskernel.cpp)
    target_link_libraries(${TS2LAS} ${APPS_CPP_DEPENDENCIES} )
endif()

# Build lasmerge
if(LASMERGE)
    set(LASMERGE_SRC lascommon.c ${LASMERGE}.c)
    add_executable(${LASMERGE} ${LASMERGE_SRC})
    target_link_libraries(${LASMERGE} ${LIBLAS_C_LIB_NAME})
endif()

# Build lasblock
if(LASBLOCK)
    set(LASBLOCK_SRC lasblock.cpp laskernel.cpp)
    add_executable(${LASBLOCK} ${LASBLOCK_SRC})
    target_link_libraries(${LASBLOCK} ${APPS_CPP_DEPENDENCIES} )
endif()

# Build las2ogr
if(LAS2OGR)
    add_executable(${LAS2OGR} las2ogr.cpp)
    target_link_libraries(${LAS2OGR} ${APPS_CPP_DEPENDENCIES})
endif()


if(BIGFILE_TEST)
    add_executable(${BIGFILE_TEST} bigtest.c)
    target_link_libraries(${BIGFILE_TEST} ${LIBLAS_C_LIB_NAME})
endif()

if (LASINDEX_TEST)
    add_executable(${LASINDEX_TEST} lasindex_test.cpp)
    target_link_libraries(${LASINDEX_TEST} ${APPS_CPP_DEPENDENCIES})    
endif()

if(BIGFILE_BIO_TEST)
    add_executable(${BIGFILE_BIO_TEST} bigfile_boost_iostreams_test.cpp)
    target_link_libraries(${BIGFILE_BIO_TEST} ${APPS_CPP_DEPENDENCIES} )    
endif()

###############################################################################
# Targets installation

install(TARGETS ${LIBLAS_UTILITIES}
    RUNTIME DESTINATION ${LIBLAS_BIN_DIR}
    LIBRARY DESTINATION ${LIBLAS_LIB_DIR}
    ARCHIVE DESTINATION ${LIBLAS_LIB_DIR})


if(UNIX)

  if(WITH_PKGCONFIG)
    
    set(PKGCFG_PREFIX "${CMAKE_INSTALL_PREFIX}")
    set(PKGCFG_INC_DIR "${LIBLAS_INCLUDE_SUBDIR}")
    set(PKGCFG_LIB_DIR "${LIBLAS_LIB_SUBDIR}")
    set(PKGCFG_REQUIRES  "")
    set(PKGCFG_VERSION ${VERSION})
    set(PKGCFG_LINK_FLAGS "-llas -llas_c")
    set(PKGCFG_COMPILE_FLAGS "")
    if(LIBXML2_FOUND)
      set(PKGCFG_REQUIRES "${PKGCFG_REQUIRES} libxml-2.0")
    endif()
    if(GEOTIFF_FOUND)
      set(PKGCFG_REQUIRES "${PKGCFG_REQUIRES} geotiff")
    endif()
    #  if(WITH_GDAL)
    #    set(PKGCFG_INC_DIR "${PKGCFG_INC_DIR} ${GDAL_INCLUDE_DIR}")
    #  endif()
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/liblas.pc.in
      ${CMAKE_CURRENT_BINARY_DIR}/liblas.pc @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/liblas.pc
      DESTINATION ${LIBLAS_LIB_DIR}/pkgconfig
      PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
    
  else()

    # Autoconf compatibility variables to use the same script source.
    set(prefix ${CMAKE_INSTALL_PREFIX})
    set(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
    set(libdir ${CMAKE_INSTALL_PREFIX}/lib)

    GET_DIRECTORY_PROPERTY(LIBLAS_DEFINITIONS DIRECTORY ${libLAS_SOURCE_DIR}/ COMPILE_DEFINITIONS)   

    set(LIBLAS_CONFIG_DEFINITIONS "")
    foreach(definition ${LIBLAS_DEFINITIONS})
        set(LIBLAS_CONFIG_DEFINITIONS "${LIBLAS_CONFIG_DEFINITIONS} -D${definition}")
    endforeach()

     
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/liblas-config.in
      ${CMAKE_CURRENT_BINARY_DIR}/liblas-config @ONLY)
      
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/liblas-config
      DESTINATION bin/
      PERMISSIONS
      OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

  endif()

endif()

=== apps/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/cmake"

# The command to remove a file.
RM = "/Applications/CMake 2.8-6.app/Contents/bin/cmake" -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/ccmake"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hobu/foo/clean

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hobu/foo/clean

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ccmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackSourceConfig.cmake /Users/hobu/foo/clean/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ctest" --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles /Users/hobu/foo/clean/apps/CMakeFiles/progress.marks
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
apps/CMakeFiles/bigfile_test.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/bigfile_test.dir/rule
.PHONY : apps/CMakeFiles/bigfile_test.dir/rule

# Convenience name for target.
bigfile_test: apps/CMakeFiles/bigfile_test.dir/rule
.PHONY : bigfile_test

# fast build rule for target.
bigfile_test/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/bigfile_test.dir/build.make apps/CMakeFiles/bigfile_test.dir/build
.PHONY : bigfile_test/fast

# Convenience name for target.
apps/CMakeFiles/las2las.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/las2las.dir/rule
.PHONY : apps/CMakeFiles/las2las.dir/rule

# Convenience name for target.
las2las: apps/CMakeFiles/las2las.dir/rule
.PHONY : las2las

# fast build rule for target.
las2las/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/las2las.dir/build.make apps/CMakeFiles/las2las.dir/build
.PHONY : las2las/fast

# Convenience name for target.
apps/CMakeFiles/las2las-old.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/las2las-old.dir/rule
.PHONY : apps/CMakeFiles/las2las-old.dir/rule

# Convenience name for target.
las2las-old: apps/CMakeFiles/las2las-old.dir/rule
.PHONY : las2las-old

# fast build rule for target.
las2las-old/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/las2las-old.dir/build.make apps/CMakeFiles/las2las-old.dir/build
.PHONY : las2las-old/fast

# Convenience name for target.
apps/CMakeFiles/las2txt.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/las2txt.dir/rule
.PHONY : apps/CMakeFiles/las2txt.dir/rule

# Convenience name for target.
las2txt: apps/CMakeFiles/las2txt.dir/rule
.PHONY : las2txt

# fast build rule for target.
las2txt/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/las2txt.dir/build.make apps/CMakeFiles/las2txt.dir/build
.PHONY : las2txt/fast

# Convenience name for target.
apps/CMakeFiles/las2txt-old.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/las2txt-old.dir/rule
.PHONY : apps/CMakeFiles/las2txt-old.dir/rule

# Convenience name for target.
las2txt-old: apps/CMakeFiles/las2txt-old.dir/rule
.PHONY : las2txt-old

# fast build rule for target.
las2txt-old/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/las2txt-old.dir/build.make apps/CMakeFiles/las2txt-old.dir/build
.PHONY : las2txt-old/fast

# Convenience name for target.
apps/CMakeFiles/lasblock.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/lasblock.dir/rule
.PHONY : apps/CMakeFiles/lasblock.dir/rule

# Convenience name for target.
lasblock: apps/CMakeFiles/lasblock.dir/rule
.PHONY : lasblock

# fast build rule for target.
lasblock/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/lasblock.dir/build.make apps/CMakeFiles/lasblock.dir/build
.PHONY : lasblock/fast

# Convenience name for target.
apps/CMakeFiles/lasindex_test.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/lasindex_test.dir/rule
.PHONY : apps/CMakeFiles/lasindex_test.dir/rule

# Convenience name for target.
lasindex_test: apps/CMakeFiles/lasindex_test.dir/rule
.PHONY : lasindex_test

# fast build rule for target.
lasindex_test/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/lasindex_test.dir/build.make apps/CMakeFiles/lasindex_test.dir/build
.PHONY : lasindex_test/fast

# Convenience name for target.
apps/CMakeFiles/lasinfo.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/lasinfo.dir/rule
.PHONY : apps/CMakeFiles/lasinfo.dir/rule

# Convenience name for target.
lasinfo: apps/CMakeFiles/lasinfo.dir/rule
.PHONY : lasinfo

# fast build rule for target.
lasinfo/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/lasinfo.dir/build.make apps/CMakeFiles/lasinfo.dir/build
.PHONY : lasinfo/fast

# Convenience name for target.
apps/CMakeFiles/lasinfo-old.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/lasinfo-old.dir/rule
.PHONY : apps/CMakeFiles/lasinfo-old.dir/rule

# Convenience name for target.
lasinfo-old: apps/CMakeFiles/lasinfo-old.dir/rule
.PHONY : lasinfo-old

# fast build rule for target.
lasinfo-old/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/lasinfo-old.dir/build.make apps/CMakeFiles/lasinfo-old.dir/build
.PHONY : lasinfo-old/fast

# Convenience name for target.
apps/CMakeFiles/lasmerge.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/lasmerge.dir/rule
.PHONY : apps/CMakeFiles/lasmerge.dir/rule

# Convenience name for target.
lasmerge: apps/CMakeFiles/lasmerge.dir/rule
.PHONY : lasmerge

# fast build rule for target.
lasmerge/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/lasmerge.dir/build.make apps/CMakeFiles/lasmerge.dir/build
.PHONY : lasmerge/fast

# Convenience name for target.
apps/CMakeFiles/ts2las.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/ts2las.dir/rule
.PHONY : apps/CMakeFiles/ts2las.dir/rule

# Convenience name for target.
ts2las: apps/CMakeFiles/ts2las.dir/rule
.PHONY : ts2las

# fast build rule for target.
ts2las/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/ts2las.dir/build.make apps/CMakeFiles/ts2las.dir/build
.PHONY : ts2las/fast

# Convenience name for target.
apps/CMakeFiles/txt2las.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 apps/CMakeFiles/txt2las.dir/rule
.PHONY : apps/CMakeFiles/txt2las.dir/rule

# Convenience name for target.
txt2las: apps/CMakeFiles/txt2las.dir/rule
.PHONY : txt2las

# fast build rule for target.
txt2las/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f apps/CMakeFiles/txt2las.dir/build.make apps/CMakeFiles/txt2las.dir/build
.PHONY : txt2las/fast

bigtest.o: bigtest.c.o

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext pdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/df.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/df.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/df"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/df"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

gettext:
	$(SPHINXBUILD) -b gettext $(ALLSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) build/pdf
	@echo
	@echo "Build finished; now you can process the PDF files."

=== src/CMakeLists.txt ===
###############################################################################
#
# src/CMakeLists.txt controls building of libLAS library
#
# Copyright (c) 2009 Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################

# Collect dependencies configuration
if(GDAL_FOUND)
  set(LIBLAS_GDAL_CPP
    gt_citation.cpp
    gt_wkt_srs.cpp
    tifvsi.cpp)
endif()

###############################################################################
# Source files specification

set(LIBLAS_HEADERS_DIR ../include/liblas)

set(LIBLAS_HPP
  ${LIBLAS_HEADERS_DIR}/chipper.hpp
  ${LIBLAS_HEADERS_DIR}/exception.hpp
  ${LIBLAS_HEADERS_DIR}/export.hpp
  ${LIBLAS_HEADERS_DIR}/factory.hpp 
  ${LIBLAS_HEADERS_DIR}/guid.hpp
  ${LIBLAS_HEADERS_DIR}/iterator.hpp
  ${LIBLAS_HEADERS_DIR}/bounds.hpp
  ${LIBLAS_HEADERS_DIR}/classification.hpp
  ${LIBLAS_HEADERS_DIR}/color.hpp
  ${LIBLAS_HEADERS_DIR}/dimension.hpp  
  ${LIBLAS_HEADERS_DIR}/error.hpp
  ${LIBLAS_HEADERS_DIR}/filter.hpp
  ${LIBLAS_HEADERS_DIR}/header.hpp
  ${LIBLAS_HEADERS_DIR}/index.hpp
  ${LIBLAS_HEADERS_DIR}/point.hpp
  ${LIBLAS_HEADERS_DIR}/reader.hpp
  ${LIBLAS_HEADERS_DIR}/schema.hpp
  ${LIBLAS_HEADERS_DIR}/spatialreference.hpp
  ${LIBLAS_HEADERS_DIR}/transform.hpp  
  ${LIBLAS_HEADERS_DIR}/variablerecord.hpp
  ${LIBLAS_HEADERS_DIR}/writer.hpp
  ${LIBLAS_HEADERS_DIR}/liblas.hpp
  ${LIBLAS_HEADERS_DIR}/utility.hpp
  ${LIBLAS_HEADERS_DIR}/version.hpp)

set(LIBLAS_EXTERNAL_HPP)

set(LIBLAS_EXTERNAL_PROPERTY_TREE_HPP
  ${LIBLAS_HEADERS_DIR}/external/property_tree/exceptions.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/id_translator.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/info_parser.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/ini_parser.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/json_parser.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/ptree.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/ptree_fwd.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/ptree_serialization.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/stream_translator.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/string_path.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/xml_parser.hpp)

set(LIBLAS_EXTERNAL_PROPERTY_TREE_DETAIL_HPP
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/exception_implementation.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/file_parser_error.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/info_parser_error.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/info_parser_read.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/info_parser_utils.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/info_parser_write.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/info_parser_writer_settings.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/json_parser_error.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/json_parser_read.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/json_parser_write.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/ptree_implementation.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/ptree_utils.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/rapidxml.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/xml_parser_error.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/xml_parser_flags.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/xml_parser_read_rapidxml.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/xml_parser_utils.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/xml_parser_write.hpp
  ${LIBLAS_HEADERS_DIR}/external/property_tree/detail/xml_parser_writer_settings.hpp)

set(LIBLAS_DETAIL_HPP
  ${LIBLAS_HEADERS_DIR}/detail/binary.hpp
  ${LIBLAS_HEADERS_DIR}/detail/endian.hpp
  ${LIBLAS_HEADERS_DIR}/detail/fwd.hpp
  ${LIBLAS_HEADERS_DIR}/detail/pointrecord.hpp
  ${LIBLAS_HEADERS_DIR}/detail/timer.hpp
  ${LIBLAS_HEADERS_DIR}/detail/private_utility.hpp
  ${LIBLAS_HEADERS_DIR}/detail/singleton.hpp
  ${LIBLAS_HEADERS_DIR}/detail/zippoint.hpp)

set(LIBLAS_DETAIL_INDEX_HPP
  ${LIBLAS_HEADERS_DIR}/detail/index/indexoutput.hpp
  ${LIBLAS_HEADERS_DIR}/detail/index/indexcell.hpp)
  
set(LIBLAS_DETAIL_READER_HPP
  ${LIBLAS_HEADERS_DIR}/detail/reader/cachedreader.hpp
  ${LIBLAS_HEADERS_DIR}/detail/reader/reader.hpp  
  ${LIBLAS_HEADERS_DIR}/detail/reader/zipreader.hpp  
  ${LIBLAS_HEADERS_DIR}/detail/reader/header.hpp
  )

set(LIBLAS_DETAIL_WRITER_HPP
  ${LIBLAS_HEADERS_DIR}/detail/writer/writer.hpp
  ${LIBLAS_HEADERS_DIR}/detail/writer/zipwriter.hpp
  ${LIBLAS_HEADERS_DIR}/detail/writer/point.hpp
  ${LIBLAS_HEADERS_DIR}/detail/writer/header.hpp)

set(LIBLAS_CPP
  chipper.cpp
  factory.cpp
  classification.cpp
  color.cpp
  dimension.cpp
  error.cpp
  filter.cpp
  header.cpp
  index.cpp
  point.cpp
  reader.cpp
  spatialreference.cpp
  schema.cpp
  transform.cpp
  utility.cpp
  variablerecord.cpp
  writer.cpp
  version.cpp)

set(LIBLAS_DETAIL_CPP
  detail/utility.cpp
  detail/sha1.cpp
  detail/zippoint.cpp
)
  
set(LIBLAS_DETAIL_INDEX_CPP
  detail/index/indexcell.cpp
  detail/index/indexoutput.cpp)

set(LIBLAS_DETAIL_READER_CPP
  detail/reader/header.cpp
  detail/reader/reader.cpp
  detail/reader/zipreader.cpp
  detail/reader/cachedreader.cpp)

set(LIBLAS_DETAIL_WRITER_CPP
  detail/writer/header.cpp
  detail/writer/point.cpp
  detail/writer/zipwriter.cpp
  detail/writer/writer.cpp)

# Group source files for IDE source explorers (e.g. Visual Studio)
source_group("CMake Files" FILES CMakeLists.txt)
source_group("Header Files" FILES ${LIBLAS_HPP})
source_group("Header Files\\external" FILES ${LIBLAS_EXTERNAL_HPP})
source_group("Header Files\\external\\property_tree" FILES ${LIBLAS_EXTERNAL_PROPERTY_TREE_HPP})
source_group("Header Files\\external\\property_tree\\detail" FILES ${LIBLAS_EXTERNAL_PROPERTY_TREE_DETAIL_HPP})
source_group("Header Files\\detail" FILES ${LIBLAS_DETAIL_HPP})
source_group("Header Files\\detail\\index" FILES ${LIBLAS_DETAIL_INDEX_HPP})
source_group("Header Files\\detail\\reader" FILES ${LIBLAS_DETAIL_READER_HPP})
source_group("Header Files\\detail\\writer" FILES ${LIBLAS_DETAIL_WRITER_HPP})
source_group("Source Files" FILES ${LIBLAS_CPP})
source_group("Source Files\\detail" FILES ${LIBLAS_DETAIL_CPP})
source_group("Source Files\\detail\\index" FILES ${LIBLAS_DETAIL_INDEX_CPP})
source_group("Source Files\\detail\\reader" FILES ${LIBLAS_DETAIL_READER_CPP})
source_group("Source Files\\detail\\writer" FILES ${LIBLAS_DETAIL_WRITER_CPP})
if(GDAL_FOUND)
    source_group("Source Files\\gdal" FILES ${LIBLAS_GDAL_CPP})
endif()

# Diable Visual C++ language extensions when building libLAS library
# Need this enabled for boost to work -- hobu
#if (WIN32)
#  if (MSVC)
#    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Za")
#  endif()
#endif()

# Standard include directory of libLAS library
include_directories(../include)

###############################################################################
# Targets settings

set(LIBLAS_SOURCES
  ${LIBLAS_HPP}
  ${LIBLAS_EXTERNAL_HPP}
  ${LIBLAS_EXTERNAL_PROPERTY_TREE_HPP}
  ${LIBLAS_EXTERNAL_PROPERTY_TREE_DETAIL_HPP}
  ${LIBLAS_DETAIL_HPP}
  ${LIBLAS_DETAIL_READER_HPP}
  ${LIBLAS_DETAIL_WRITER_HPP}
  ${LIBLAS_DETAIL_INDEX_CPP}
  ${LIBLAS_CPP}
  ${LIBLAS_DETAIL_CPP}
  ${LIBLAS_DETAIL_READER_CPP}
  ${LIBLAS_DETAIL_WRITER_CPP}
  ${LIBLAS_GDAL_CPP})

set(LIBLAS_C_SOURCES
  ${LIBLAS_HEADERS_DIR}/capi/las_config.h
  ${LIBLAS_HEADERS_DIR}/capi/las_version.h
  ${LIBLAS_HEADERS_DIR}/capi/liblas.h
  c_api.cpp)

# NOTE:
# This hack is required to correctly link static into shared library.
# Such practice is not recommended as not portable, instead each library,
# static and shared should be built from sources separately.
#if(UNIX)
#  add_definitions("-fPIC")
#endif()

if(WIN32)
    add_definitions("-DLAS_DLL_EXPORT=1")
if (NOT WITH_STATIC_LASZIP)
    add_definitions("-DLASZIP_DLL_IMPORT=1")
endif()
endif()

add_library(${LIBLAS_LIB_NAME} SHARED ${LIBLAS_SOURCES})
add_library(${LIBLAS_C_LIB_NAME} SHARED ${LIBLAS_C_SOURCES})

target_link_libraries(${LIBLAS_LIB_NAME}
  ${LIBLAS_LIB_NAME}
  ${TIFF_LIBRARY}
  ${GEOTIFF_LIBRARY}
  ${GDAL_LIBRARY}
  ${LASZIP_LIBRARY}
  ${Boost_LIBRARIES})

target_link_libraries(${LIBLAS_C_LIB_NAME}
  ${LIBLAS_LIB_NAME}
  ${TIFF_LIBRARY}
  ${GEOTIFF_LIBRARY}
  ${GDAL_LIBRARY}
  ${LASZIP_LIBRARY}
  ${Boost_LIBRARIES})

set_target_properties(${LIBLAS_LIB_NAME}
  PROPERTIES SOVERSION "${LIBLAS_LIB_SOVERSION}" )
set_target_properties(${LIBLAS_C_LIB_NAME}
  PROPERTIES SOVERSION "${LIBLAS_C_LIB_SOVERSION}" )

if (APPLE)
  set_target_properties(
    ${LIBLAS_C_LIB_NAME}
    PROPERTIES
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
  set_target_properties(
    ${LIBLAS_LIB_NAME}
    PROPERTIES
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif()

###############################################################################
# Targets installation

install(TARGETS ${LIBLAS_LIB_NAME} ${LIBLAS_C_LIB_NAME}
  RUNTIME DESTINATION ${LIBLAS_BIN_DIR}
  LIBRARY DESTINATION ${LIBLAS_LIB_DIR}
  ARCHIVE DESTINATION ${LIBLAS_LIB_DIR})

install(DIRECTORY ${LIBLAS_HEADERS_DIR}
  DESTINATION ${LIBLAS_INCLUDE_DIR}
  FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp")

=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/cmake"

# The command to remove a file.
RM = "/Applications/CMake 2.8-6.app/Contents/bin/cmake" -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/ccmake"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hobu/foo/clean

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hobu/foo/clean

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ccmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackSourceConfig.cmake /Users/hobu/foo/clean/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ctest" --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles /Users/hobu/foo/clean/src/CMakeFiles/progress.marks
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/CMakeFiles/las.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/las.dir/rule
.PHONY : src/CMakeFiles/las.dir/rule

# Convenience name for target.
las: src/CMakeFiles/las.dir/rule
.PHONY : las

# fast build rule for target.
las/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/build
.PHONY : las/fast

# Convenience name for target.
src/CMakeFiles/las_c.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/las_c.dir/rule
.PHONY : src/CMakeFiles/las_c.dir/rule

# Convenience name for target.
las_c: src/CMakeFiles/las_c.dir/rule
.PHONY : las_c

# fast build rule for target.
las_c/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/build
.PHONY : las_c/fast

c_api.o: c_api.cpp.o
.PHONY : c_api.o

# target to build an object file
c_api.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/c_api.cpp.o
.PHONY : c_api.cpp.o

c_api.i: c_api.cpp.i
.PHONY : c_api.i

# target to preprocess a source file
c_api.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/c_api.cpp.i
.PHONY : c_api.cpp.i

c_api.s: c_api.cpp.s
.PHONY : c_api.s

# target to generate assembly for a file
c_api.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/c_api.cpp.s
.PHONY : c_api.cpp.s

chipper.o: chipper.cpp.o
.PHONY : chipper.o

# target to build an object file
chipper.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/chipper.cpp.o
.PHONY : chipper.cpp.o

chipper.i: chipper.cpp.i
.PHONY : chipper.i

# target to preprocess a source file
chipper.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/chipper.cpp.i
.PHONY : chipper.cpp.i

chipper.s: chipper.cpp.s
.PHONY : chipper.s

# target to generate assembly for a file
chipper.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/chipper.cpp.s
.PHONY : chipper.cpp.s

classification.o: classification.cpp.o
.PHONY : classification.o

# target to build an object file
classification.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/classification.cpp.o
.PHONY : classification.cpp.o

classification.i: classification.cpp.i
.PHONY : classification.i

# target to preprocess a source file
classification.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/classification.cpp.i
.PHONY : classification.cpp.i

classification.s: classification.cpp.s
.PHONY : classification.s

# target to generate assembly for a file
classification.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/classification.cpp.s
.PHONY : classification.cpp.s

color.o: color.cpp.o
.PHONY : color.o

# target to build an object file
color.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/color.cpp.o
.PHONY : color.cpp.o

color.i: color.cpp.i
.PHONY : color.i

# target to preprocess a source file
color.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/color.cpp.i
.PHONY : color.cpp.i

color.s: color.cpp.s
.PHONY : color.s

# target to generate assembly for a file
color.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/color.cpp.s
.PHONY : color.cpp.s

detail/index/indexcell.o: detail/index/indexcell.cpp.o
.PHONY : detail/index/indexcell.o

# target to build an object file
detail/index/indexcell.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexcell.cpp.o
.PHONY : detail/index/indexcell.cpp.o

detail/index/indexcell.i: detail/index/indexcell.cpp.i
.PHONY : detail/index/indexcell.i

# target to preprocess a source file
detail/index/indexcell.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexcell.cpp.i
.PHONY : detail/index/indexcell.cpp.i

detail/index/indexcell.s: detail/index/indexcell.cpp.s
.PHONY : detail/index/indexcell.s

# target to generate assembly for a file
detail/index/indexcell.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexcell.cpp.s
.PHONY : detail/index/indexcell.cpp.s

detail/index/indexoutput.o: detail/index/indexoutput.cpp.o
.PHONY : detail/index/indexoutput.o

# target to build an object file
detail/index/indexoutput.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexoutput.cpp.o
.PHONY : detail/index/indexoutput.cpp.o

detail/index/indexoutput.i: detail/index/indexoutput.cpp.i
.PHONY : detail/index/indexoutput.i

# target to preprocess a source file
detail/index/indexoutput.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexoutput.cpp.i
.PHONY : detail/index/indexoutput.cpp.i

detail/index/indexoutput.s: detail/index/indexoutput.cpp.s
.PHONY : detail/index/indexoutput.s

# target to generate assembly for a file
detail/index/indexoutput.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexoutput.cpp.s
.PHONY : detail/index/indexoutput.cpp.s

detail/reader/cachedreader.o: detail/reader/cachedreader.cpp.o
.PHONY : detail/reader/cachedreader.o

# target to build an object file
detail/reader/cachedreader.cpp.o:

=== test/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/cmake"

# The command to remove a file.
RM = "/Applications/CMake 2.8-6.app/Contents/bin/cmake" -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/ccmake"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hobu/foo/clean

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hobu/foo/clean

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ccmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackSourceConfig.cmake /Users/hobu/foo/clean/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ctest" --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles /Users/hobu/foo/clean/test/CMakeFiles/progress.marks
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== test/unit/CMakeLists.txt ===
###############################################################################
#
# test/unit/CMakeLists.txt controls building of libLAS unit tests suite
#
# Copyright (c) 2009 Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################
SET(LIBLAS_UNIT_TEST liblas_test)

SET(LIBLAS_UNIT_TEST_SRC
    bounds_test.cpp
    common.cpp
    error_test.cpp
    guid_test.cpp
    header_test.cpp
    point_test.cpp
    reader_iterator_test.cpp
    reader_test.cpp
    spatialreference_test.cpp
    transform_test.cpp
    variablerecord_test.cpp
    writer_test.cpp
    zipreader_test.cpp
    zipwriter_test.cpp
    liblas_test_suite.cpp)

INCLUDE_DIRECTORIES(
    .
    ../../include
    ${GDAL_INCLUDE_DIR}
    ${GEOTIFF_INCLUDE_DIR})

ADD_EXECUTABLE(${LIBLAS_UNIT_TEST} ${LIBLAS_UNIT_TEST_SRC} )

set_target_properties(${LIBLAS_UNIT_TEST} PROPERTIES COMPILE_DEFINITIONS LAS_DLL_IMPORT)

TARGET_LINK_LIBRARIES(${LIBLAS_UNIT_TEST} 
    ${LIBLAS_LIB_NAME}
    ${ZLIB_LIBRARIES}
    ${TIFF_LIBRARY}
    ${GEOTIFF_LIBRARY}
    ${GDAL_LIBRARY}
    ${SPATIALINDEX_LIBRARY})

ADD_TEST(liblas_test ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/liblas_test ${CMAKE_SOURCE_DIR}/test/data)

=== test/unit/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/cmake"

# The command to remove a file.
RM = "/Applications/CMake 2.8-6.app/Contents/bin/cmake" -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/ccmake"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hobu/foo/clean

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hobu/foo/clean

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ccmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackSourceConfig.cmake /Users/hobu/foo/clean/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ctest" --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles /Users/hobu/foo/clean/test/unit/CMakeFiles/progress.marks
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
test/unit/CMakeFiles/liblas_test.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/CMakeFiles/liblas_test.dir/rule
.PHONY : test/unit/CMakeFiles/liblas_test.dir/rule

# Convenience name for target.
liblas_test: test/unit/CMakeFiles/liblas_test.dir/rule
.PHONY : liblas_test

# fast build rule for target.
liblas_test/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/build
.PHONY : liblas_test/fast

bounds_test.o: bounds_test.cpp.o
.PHONY : bounds_test.o

# target to build an object file
bounds_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/bounds_test.cpp.o
.PHONY : bounds_test.cpp.o

bounds_test.i: bounds_test.cpp.i
.PHONY : bounds_test.i

# target to preprocess a source file
bounds_test.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/bounds_test.cpp.i
.PHONY : bounds_test.cpp.i

bounds_test.s: bounds_test.cpp.s
.PHONY : bounds_test.s

# target to generate assembly for a file
bounds_test.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/bounds_test.cpp.s
.PHONY : bounds_test.cpp.s

common.o: common.cpp.o
.PHONY : common.o

# target to build an object file
common.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/common.cpp.o
.PHONY : common.cpp.o

common.i: common.cpp.i
.PHONY : common.i

# target to preprocess a source file
common.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/common.cpp.i
.PHONY : common.cpp.i

common.s: common.cpp.s
.PHONY : common.s

# target to generate assembly for a file
common.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/common.cpp.s
.PHONY : common.cpp.s

error_test.o: error_test.cpp.o
.PHONY : error_test.o

# target to build an object file
error_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/error_test.cpp.o
.PHONY : error_test.cpp.o

error_test.i: error_test.cpp.i
.PHONY : error_test.i

# target to preprocess a source file
error_test.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/error_test.cpp.i
.PHONY : error_test.cpp.i

error_test.s: error_test.cpp.s
.PHONY : error_test.s

# target to generate assembly for a file
error_test.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/error_test.cpp.s
.PHONY : error_test.cpp.s

guid_test.o: guid_test.cpp.o
.PHONY : guid_test.o

# target to build an object file
guid_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/guid_test.cpp.o
.PHONY : guid_test.cpp.o

guid_test.i: guid_test.cpp.i
.PHONY : guid_test.i

# target to preprocess a source file
guid_test.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/guid_test.cpp.i
.PHONY : guid_test.cpp.i

guid_test.s: guid_test.cpp.s
.PHONY : guid_test.s

# target to generate assembly for a file
guid_test.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/guid_test.cpp.s
.PHONY : guid_test.cpp.s

header_test.o: header_test.cpp.o
.PHONY : header_test.o

# target to build an object file
header_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/header_test.cpp.o
.PHONY : header_test.cpp.o

header_test.i: header_test.cpp.i
.PHONY : header_test.i

# target to preprocess a source file
header_test.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/header_test.cpp.i
.PHONY : header_test.cpp.i

header_test.s: header_test.cpp.s
.PHONY : header_test.s

# target to generate assembly for a file
header_test.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/header_test.cpp.s
.PHONY : header_test.cpp.s

liblas_test_suite.o: liblas_test_suite.cpp.o
.PHONY : liblas_test_suite.o

# target to build an object file
liblas_test_suite.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/liblas_test_suite.cpp.o
.PHONY : liblas_test_suite.cpp.o

liblas_test_suite.i: liblas_test_suite.cpp.i
.PHONY : liblas_test_suite.i

# target to preprocess a source file
liblas_test_suite.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/liblas_test_suite.cpp.i
.PHONY : liblas_test_suite.cpp.i

liblas_test_suite.s: liblas_test_suite.cpp.s
.PHONY : liblas_test_suite.s

# target to generate assembly for a file
liblas_test_suite.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/liblas_test_suite.cpp.s
.PHONY : liblas_test_suite.cpp.s

point_test.o: point_test.cpp.o
.PHONY : point_test.o

# target to build an object file
point_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/point_test.cpp.o
.PHONY : point_test.cpp.o

=== debian/changelog ===
liblas (1.7.0+dfsg-4) unstable; urgency=low

  * Move python dependencies from Build-Depends-Indep to Build-Depends.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 21 Feb 2014 11:52:35 +0100

liblas (1.7.0+dfsg-3) unstable; urgency=low

  * Team upload.
  * Update debian watch file with sepwatch changes,
    and handle more common mistakes.
  * Refresh boost patch.
  * Also build python extension, replaces separate source package.
    (closes: #735516)
  * Remove obsolete liblas1.install.
  * Add patch to fix the library version and SONAME.
  * Add lintian overrides for no symbols file,
    symbols are problematic for C++ libraries.
  * Enable verbose build logs.
  * Add patch from python-liblas to fix the library search path.
  * Use pybuild instead of python_distutils buildsystem.
    Thanks Graham Inggs for the patch.
  * Change libtiff build dependency to libtiff-dev only.
    (closes: #736129)
  * Update liblas-dev dependency on libgdal-dev to match the build dependency.
  * Drop shlibs:Depends for -dev packages.
  * Add manpages for liblas-bin & liblas-dev.
    (closes: #645820)
  * Install python examples.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 08 Feb 2014 03:15:29 +0100

liblas (1.7.0+dfsg-2) unstable; urgency=medium

  * Fixed missing linking of system boost component.
    (closes: #733282)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 05 Jan 2014 17:00:29 +0100

liblas (1.7.0+dfsg-1) unstable; urgency=medium

  * Merged change accepted upstream to substitute the non-free SHA1
    implementation with a MIT/X11 implementation as provided by 
    http://tamale.net/sha1
    (closes: #730754)
  * Revised debian/copyright to reflect changes and missing licenses.
    (closes: #730755)
  * Policy bumped to 3.9.5, no changes required.
  * Moved to new libgdal-dev b-d.
  * Moved to canonical Vcs-* fields.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Dec 2013 18:31:02 +0100

liblas (1.7.0-1) experimental; urgency=low

  [ David Paleino ]
  * Updated debian/watch to reflect new source location.
  * Package moved to git, reflect the change in Vcs-* fields.
  * Moved from CDBS to dh
  * Added myself to Uploaders
  * Dropped patches, no more needed
  * Libraries split: liblas(2) and liblas-c(2), since both a C and a C++
    version is provided. The same applies for the -dev packages.

  [ Francesco Paolo Lovergine ]
  * New upstream version with SONAME bumping.
  * Moved to source format 3.0.
  * Policy bumped to 3.9.3, no changes required.
  * Strictly depends on GDAL 1.7+.
  * Now use the new TIFF library.
  * Debhelper moved to level 8.
  * Added new build-dep: libboost-dev.
  * Debhelper level set to 9.
  * debian/copyright now is in format 1.0.
  * Now both a C and a C++ bindings are provided, so
    new binary packages have been introduced, with SONAME
    bumping.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Nov 2013 16:03:56 +0100

liblas (1.2.1-1) unstable; urgency=low

  * Initial release.
    (closes: #532415)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 02 Oct 2009 12:36:21 +0200

=== debian/control ===
Source: liblas
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           David Paleino <dapal@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libgeotiff-dev,
               libgdal-dev (>= 1.10.0~),
               libtiff-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-thread-dev,
               python-all-dev,
               python-setuptools,
               dh-python,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/liblas.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/liblas.git
Homepage: http://liblas.org/
X-Python-Version: >= 2.5

Package: liblas2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgeotiff-epsg
Description: ASPRS LiDAR data translation library - C++ version
 libLAS is a C/C++ library for reading and writing ASPRS LAS versions
 1.0, 1.1 and 1.2 data. The LAS format is a sequential binary format
 used to store data from sensors and as intermediate processing storage
 by some LiDAR-related applications. LiDAR (Light Detection and Ranging)
 is an optical remote sensing technology that measures properties of
 scattered light to find range and/or other information of a distant
 target. The prevalent method to determine distance to an object or
 surface is to use laser pulses.
 .
 This package contains the C++ shared library used by applications.

Package: liblas-c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liblas2 (= ${binary:Version})
Suggests: libgeotiff-epsg
Description: ASPRS LiDAR data translation library - C version
 libLAS is a C/C++ library for reading and writing ASPRS LAS versions
 1.0, 1.1 and 1.2 data. The LAS format is a sequential binary format
 used to store data from sensors and as intermediate processing storage
 by some LiDAR-related applications. LiDAR (Light Detection and Ranging)
 is an optical remote sensing technology that measures properties of
 scattered light to find range and/or other information of a distant
 target. The prevalent method to determine distance to an object or
 surface is to use laser pulses.
 .
 This package contains the C shared library used by applications.

Package: liblas-dev
Architecture: any
Section: libdevel
Depends: liblas2 (= ${binary:Version}),
         libtiff-dev,
         libgeotiff-dev,
         libgdal-dev (>= 1.10.0~),
         ${misc:Depends}
Description: ASPRS LiDAR data translation library - C++ development files
 libLAS is a C/C++ library for reading and writing ASPRS LAS versions
 1.0, 1.1 and 1.2 data. The LAS format is a sequential binary format
 used to store data from sensors and as intermediate processing storage
 by some LiDAR-related applications. LiDAR (Light Detection and Ranging)
 is an optical remote sensing technology that measures properties of
 scattered light to find range and/or other information of a distant
 target. The prevalent method to determine distance to an object or
 surface is to use laser pulses.
 .
 This package contains the development files to build applications in C++.

Package: liblas-c-dev
Architecture: any
Section: libdevel
Depends: liblas-c2 (= ${binary:Version}),
         liblas-dev (= ${binary:Version}),
         libgeotiff-dev,
         libgdal-dev (>= 1.10.0~),
         ${misc:Depends}
Description: ASPRS LiDAR data translation library - C development files
 libLAS is a C/C++ library for reading and writing ASPRS LAS versions
 1.0, 1.1 and 1.2 data. The LAS format is a sequential binary format
 used to store data from sensors and as intermediate processing storage
 by some LiDAR-related applications. LiDAR (Light Detection and Ranging)
 is an optical remote sensing technology that measures properties of
 scattered light to find range and/or other information of a distant
 target. The prevalent method to determine distance to an object or
 surface is to use laser pulses.
 .
 This package contains the development files to build applications in C.

Package: liblas-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgeotiff-epsg
Description: ASPRS LiDAR data translation toolset
 libLAS is a C/C++ library for reading and writing ASPRS LAS versions
 1.0, 1.1 and 1.2 data. The LAS format is a sequential binary format
 used to store data from sensors and as intermediate processing storage
 by some LiDAR-related applications. LiDAR (Light Detection and Ranging)
 is an optical remote sensing technology that measures properties of
 scattered light to find range and/or other information of a distant
 target. The prevalent method to determine distance to an object or
 surface is to use laser pulses.
 .
 This package contains the essential toolset to manage LiDAR data:
 lasinfo, lasmerge, las2las, las2txt, txt2las, las2ogr.

Package: python-liblas
Architecture: all
Section: python
Depends: liblas-c2,
         ${python:Depends},
         ${misc:Depends}
Description: Python module to use the ASPRS LiDAR data translation library
 libLAS is a C/C++ library for reading and writing ASPRS LAS versions
 1.0, 1.1 and 1.2 data. The LAS format is a sequential binary format
 used to store data from sensors and as intermediate processing storage
 by some LiDAR-related applications. LiDAR (Light Detection and Ranging)
 is an optical remote sensing technology that measures properties of
 scattered light to find range and/or other information of a distant
 target. The prevalent method to determine distance to an object or
 surface is to use laser pulses.
 .
 This package contains a Python module to use libLAS.

=== debian/rules ===
#!/usr/bin/make -f

MANPAGES:=$(wildcard debian/man/*.*.xml)

%:
	dh $@ --buildsystem cmake \
	      --parallel

override_dh_auto_clean-indep:
	dh_auto_clean --sourcedirectory $(CURDIR)/python --buildsystem pybuild

override_dh_clean:
	dh_clean

	rm -rf $(CURDIR)/README.txt

override_dh_auto_configure:
	dh_auto_configure --buildsystem cmake -- \
		-DCMAKE_VERBOSE_MAKEFILE=1 \
		-DWITH_GDAL=TRUE \
		-DWITH_GEOTIFF=TRUE \
		-DGEOTIFF_INCLUDE_DIR=/usr/include/geotiff

override_dh_auto_configure-indep:
	dh_auto_configure --sourcedirectory $(CURDIR)/python --buildsystem pybuild

override_dh_auto_build-arch:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build --sourcedirectory $(CURDIR)/python --buildsystem pybuild

override_dh_auto_test:
	# don't run tests

override_dh_auto_install-indep:
	dh_auto_install --sourcedirectory $(CURDIR)/python --buildsystem pybuild

override_dh_install-arch:
	dh_install --arch

	# remove capi from liblas-dev
	rm -vrf $(CURDIR)/debian/liblas-dev/usr/include/liblas/capi/

override_dh_install-indep:
	dh_install --indep
	dh_python2 --indep

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|alpha)\d*)$/$1~$2/ \
http://download.osgeo.org/liblas/ \
(?:|.*/)libLAS(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
